

Fix a partial conversion to unlocked_ioctl().

drivers/ieee1394/dv1394.c: In function `handle_dv1394_init':
drivers/ieee1394/dv1394.c:2529: warning: comparison of distinct pointer types lacks a cast
drivers/ieee1394/dv1394.c: In function `handle_dv1394_get_status':
drivers/ieee1394/dv1394.c:2559: warning: comparison of distinct pointer types lacks a cast
drivers/ieee1394/dv1394.c: In function `dv1394_compat_ioctl':
drivers/ieee1394/dv1394.c:2593: warning: unused variable `err'

As Andi points out, we don't need these tests anyway, since we got here via the
file_operations anyway.  

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/ieee1394/dv1394.c |   13 ++-----------
 1 files changed, 2 insertions(+), 11 deletions(-)

diff -puN drivers/ieee1394/dv1394.c~dv1394-ioctl-retval-fix drivers/ieee1394/dv1394.c
--- 25/drivers/ieee1394/dv1394.c~dv1394-ioctl-retval-fix	2005-02-27 16:15:06.000000000 -0800
+++ 25-akpm/drivers/ieee1394/dv1394.c	2005-02-27 16:15:45.000000000 -0800
@@ -2526,9 +2526,6 @@ static int handle_dv1394_init(struct fil
 	mm_segment_t old_fs;
 	int ret;
 
-	if (file->f_op->ioctl != dv1394_ioctl)
-		return -EFAULT;
-
 	if (copy_from_user(&dv32, (void __user *)arg, sizeof(dv32)))
 		return -EFAULT;
 
@@ -2542,8 +2539,7 @@ static int handle_dv1394_init(struct fil
 
 	old_fs = get_fs();
 	set_fs(KERNEL_DS);
-	ret = dv1394_ioctl(file,
-			   DV1394_IOC_INIT, (unsigned long)&dv);
+	ret = dv1394_ioctl(file, DV1394_IOC_INIT, (unsigned long)&dv);
 	set_fs(old_fs);
 
 	return ret;
@@ -2556,13 +2552,9 @@ static int handle_dv1394_get_status(stru
 	mm_segment_t old_fs;
 	int ret;
 
-	if (file->f_op->ioctl != dv1394_ioctl)
-		return -EFAULT;
-
 	old_fs = get_fs();
 	set_fs(KERNEL_DS);
-	ret = dv1394_ioctl(file,
-			   DV1394_IOC_GET_STATUS, (unsigned long)&dv);
+	ret = dv1394_ioctl(file, DV1394_IOC_GET_STATUS, (unsigned long)&dv);
 	set_fs(old_fs);
 
 	if (!ret) {
@@ -2590,7 +2582,6 @@ static int handle_dv1394_get_status(stru
 static long dv1394_compat_ioctl(struct file *file, unsigned int cmd,
 			       unsigned long arg)
 {
-	int err;
 	switch (cmd) {
 	case DV1394_IOC_SHUTDOWN:
 	case DV1394_IOC_SUBMIT_FRAMES:
_
